# code.dumpstack.io

[NixOS](https://nixos.org)

## Installation

    parted /dev/vda mklabel msdos
    parted /dev/vda mkpart primary ext4 0% 100%
    mkfs.ext4 -L system /dev/vda1
    mount /dev/vda1 /mnt/

    nix-env -iA nixos.gitMinimal
    git clone https://code.dumpstack.io/infra/code.dumpstack.io.git /mnt/etc/nixos/

    nix-channel --add https://nixos.org/channels/nixos-unstable nixos
    nix-channel --update

    cd /mnt/etc/nixos
    cp var.example.nix var.nix
    vim var.nix

    nixos-generate-config --root /mnt

    nixos-install
    reboot

## After install

    nix-channel --add https://nixos.org/channels/nixos-unstable nixos
    nix-channel --update
